package com.chelvc.cloud.vehicle.client;

import java.time.LocalDate;
import java.util.List;

import com.chelvc.cloud.vehicle.client.dto.CurrencyRecordDTO;
import com.chelvc.cloud.vehicle.client.dto.EarningsDTO;
import com.chelvc.cloud.vehicle.client.param.BalanceRetailParam;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

/**
 * 收益流水记录表数据模型
 *
 * @author liude
 * @date 2024/03/15
 */
@FeignClient("vehicle")
public interface CurrencyRecordClient {
    /**
     * 收益流水记录
     *
     * @return 收益流水记录列表
     */
    @GetMapping("/currencyRecord/listCurrencyRecord")
    List<CurrencyRecordDTO> listCurrencyRecord(@RequestBody BalanceRetailParam param);

    /**
     * 获取用户得总收益、本周收益、本月收益、可提现金额
     *
     * @return
     */
    @GetMapping("/currencyRecord/getCurrencyRecord")
    EarningsDTO getCurrencyRecord(@RequestParam("type") Integer type);
}
