package com.chelvc.cloud.vehicle.client.dto;

import com.chelvc.cloud.vehicle.client.constant.MerchantStatus;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 商家排名信息
 */

@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class MerchantRankDTO implements Serializable {

    private static final long serialVersionUID = -8220382300856423786L;

    /**
     * 主键
     */
    private Long id;

    /**
     * 用户ID
     */
    private Long userId;

    /**
     * 商家名称
     */
    private String name;

    /**
     * 商家Logo
     */
    private String logo;

    /**
     * 当月完成订单数
     */
    private Integer orderNum;

    /**
     * 当月营业额
     */
    private BigDecimal amount;

    /**
     * 商家评分
     */
    private Double score;

    /**
     * 商家状态
     */
    private MerchantStatus status;

    /**
     * 距离（米）
     */
    private Integer distance;

    /**
     * 详细地址
     */
    private String address;

    /**
     * 所有订单销量
     */
    private Integer sale;
}
