package com.chelvc.cloud.vehicle.client.dto;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.io.Serializable;
import java.util.Date;

@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class RankAwardConfigDTO implements Serializable {

    private static final long serialVersionUID = -9007530650121576786L;

    /**
     * 主键
     */
    private Long id;

    /**
     * 排名名称
     */
    private String name;

    /**
     * 排名
     */
    private int rank;

    /**
     * 类型：0-年；1-季；2-月；3-周；4-日 暂时默认为2
     */
    private Integer type;

    /**
     * 平台类型：1-用户；2-商家 暂时默认为2
     */
    private Integer platformType;

    /**
     * 奖金比例
     */
    private Integer ratio;

    /**
     * 平台抽佣比例
     */
    private Integer commissionRatio;

    /**
     * 区域等级：0-国家；1-省；2-市；3-区
     */
    private Integer regionLevel;

    /**
     * 状态：0-正常；1-停用
     */
    private Integer status;

    /**
     * 创建用户
     */
    private Long creator;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新用户
     */
    private Long updater;

    /**
     * 更新时间
     */
    private Date updateTime;
}
