package com.chelvc.cloud.vehicle.client.param;

import com.chelvc.framework.common.model.Paging;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;

/**
 * 预约信息参数
 *
 * @author liude
 * @date 2023/1/17
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class ReservationPagingParam implements Serializable {

    /**
     * 分页信息
     */
    @NotNull(message = "分页不能为空")
    private Paging paging;
    /**
     * 状态
     */
    private String status;
    /**
     * 预约时间 格式参考：2024-05-22
     */
    private String date;
    /**
     * 商家ID
     */
    private Long merchantId;

}
