package com.chelvc.cloud.vehicle.client.param;

import lombok.Data;

import java.io.Serializable;

/**
 * 转账回调参数
 */
@Data
public class TransferNotifyParam implements Serializable {

    private static final long serialVersionUID = 3682560818657891605L;

    /**
     * 商户编号
     */
    private String merchantId;
    /**
     * 收款方编号
     */
    private String receiverId;
    /**
     * 订单编号
     */
    private String requestId;
    /**
     * 收款方类型
     */
    private String receiverType;
    /**
     * 转账金额：分
     */
    private String amount;
    /**
     * 币种
     */
    private String currency;
    /**
     * 备注
     */
    private String remark;
    /**
     * 状态
     * SUCCESS 转账成功
     * FAILED 转账失败
     * CANCEL 转账取消
     */
    private String status;
    /**
     * 完成时间
     */
    private String completeDateTime;
    /**
     * 错误信息
     */
    private String errorMessage;
}
