package com.chelvc.cloud.vehicle.client.param;

import lombok.Data;

import java.io.Serializable;

/**
 * 提现回调参数
 */
@Data
public class WithdrawNotifyParam implements Serializable {

    private static final long serialVersionUID = 3682560818657891605L;

    /**
     * 商户编号
     */
    private String merchantId;
    /**
     * 提现流水号
     */
    private String orderId;
    /**
     * 订单编号
     */
    private String requestId;
    /**
     * 服务商编号
     */
    private String partnerId;
    /**
     * 提现金额：分
     */
    private String withdrawAmount;
    /**
     * 提现状态：SUCCESS 成功；FAIL 失败
     */
    private String withdrawStatus;
    /**
     * 错误信息
     */
    private String errorMessage;
    /**
     * 到账金额
     */
    private String receivedAmount;
    /**
     * 账户名称
     */
    private String accountName;
    /**
     * 账户号
     */
    private String bankCardNumberDec;
    /**
     * 开户行
     */
    private String bankCode;
    /**
     * 账户类型：PUBLIC 对公；PRIVATE 对私
     */
    private String accountType;
    /**
     * 参数签名
     */
    private String hmac;
}
