package com.chelvc.cloud.vehicle.server.controller;

import com.chelvc.cloud.vehicle.client.dto.RankAwardRecordDTO;
import com.chelvc.cloud.vehicle.client.param.HandRankAwardParam;
import com.chelvc.cloud.vehicle.client.param.QueryRankAwardRecordParam;
import com.chelvc.cloud.vehicle.server.service.RankAwardRecordService;
import com.chelvc.framework.common.model.Pagination;
import lombok.RequiredArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequiredArgsConstructor(onConstructor = @__(@Autowired))
public class RankAwardRecordController {

    private final RankAwardRecordService rankAwardRecordService;

    @GetMapping("/rankAwardRecord/queryPageList")
    public Pagination<RankAwardRecordDTO> queryPageList(QueryRankAwardRecordParam param) {
        return rankAwardRecordService.queryPageList(param);
    }

    @PostMapping("/rankAwardRecord/handOutPrize")
    public void handOutPrize(@RequestBody HandRankAwardParam param) {
        rankAwardRecordService.handOutPrize(param);
    }

    @PostMapping("/rankAwardRecord/cityAwardRank")
    public void cityAwardRank() {
        rankAwardRecordService.cityAwardRank();
    }

    @PostMapping("/rankAwardRecord/districtAwardRank")
    public void districtAwardRank() {
        rankAwardRecordService.districtAwardRank();
    }
}
