package com.chelvc.cloud.vehicle.server.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.chelvc.framework.database.entity.Entity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;
import lombok.experimental.SuperBuilder;

import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.Date;

@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@ToString(callSuper = true)
@TableName(autoResultMap = true)
public class MerchantApplyRecord implements Entity<Long> {

    private static final long serialVersionUID = -2573290632369937880L;
    /**
     * 主键
     */
    @TableId(type = IdType.ASSIGN_ID)
    private Long id;

    private Long userId;

    /**
     * 类型：1-用户；2-商家
     */
    private Integer type;

    /**
     * 申请状态：0-申请中；1-成功；2-失败
     */
    private Integer status;

    /**
     * 请求号
     */
    private String requestId;

    /**
     * 操作类型:CREATE 创建;MODIFY 更新
     */
    private String operationType;

    /**
     * 子商户审核状态
     * PROCESSING 审核中(ocr校验失败时返回该状态，子商户审核备注信息中可查看详情)
     * PASS 审核通过
     * NO_PASS 审核不通过
     * REFUSE 审核拒绝
     * ESIGN_PROCESS 待签约
     * ESIGN_PROCESSING 签约中
     * ESIGN_FAIL 签约失败(电子签签约状态）
     * ESIGN_SUCCESS 签约成功(电子签签约状态）
     * SUCCESS 入网完成
     */
    private String examineStatus;

    /**
     * 子商户编号
     */
    private String subMerchantId;

    /**
     * 审核备注
     */
    private String merchantReviewRemarks;

    /**
     * 电子签约链接
     */
    private String electronicContractingUrl;

    /**
     * 核查状态
     * INIT 初始化
     * SUCCESS 核查通过
     * FAIL 核查不通过
     * COMPLEMENT 核查补充
     */
    private String postReviewStatus;

    /**
     * 核查补充链接
     */
    private String certificateSupplementUrl;

    /**
     * 	核查备注
     */
    private String postReviewRemark;

    /**
     * 提现时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;
}
