package com.chelvc.cloud.vehicle.server.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;
import lombok.experimental.SuperBuilder;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 提现 oms_withdraw
 *
 * @author liude
 * @date 2023-11-08
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@ToString(callSuper = true)
@TableName(autoResultMap = true)
public class OmsTransferWithdraw implements Serializable
{
    private static final long serialVersionUID = 1L;

    /** 订单id */
    @TableId(type = IdType.ASSIGN_ID)
    private Long id;

    /** 用户id */
    private Long userId;

    /** 外部订单号 */
    private String outOrderId;

    /** 类型：0-平台; 1-用户；2-商家 */
    private Integer type;

    /** 提现渠道：1-首信易 */
    private Integer channel;

    /** 0-提现；1-用户转账 */
    private Integer flag;

    /** 提现金额 */
    private BigDecimal amount;

    /** 手续费 */
    private BigDecimal procedureAmount;

    /** 状态：0-体现中；1-成功；2-失败；3-取消；4-拒绝 */
    private Integer status;

    /**
     * 操作时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     * 备注
     */
    private String remark;
}
