package com.chelvc.cloud.vehicle.server.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.chelvc.cloud.vehicle.client.dto.IncomeRecordDTO;
import com.chelvc.cloud.vehicle.client.param.IncomeRecordModifyParam;
import com.chelvc.cloud.vehicle.server.entity.IncomeRecord;

import java.util.List;

/**
 * 收益记录操作接口
 *
 * @author liude
 * @date 2023/12/16
 */
public interface IncomeRecordService extends IService<IncomeRecord> {

    /**
     * 新增收益记录
     *
     * @param param 新增参数
     * @return 收益记录主键
     */
    Long addIncomeRecord(IncomeRecordModifyParam param);

    /**
     * 查询用户收益
     * @return
     */
    List<IncomeRecordDTO> listIncomeRecord();
}
